curl --request POST \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/batch/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"name": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/batch/archive"
payload = { "inputs": [{ "name": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{name: '<string>'}]})
};
fetch('https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/batch/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Archive multiple properties
Archivieren Sie mehrere Eigenschaften für einen bestimmten Objekttyp innerhalb einer bestimmten App. Dieser Endpunkt ist nützlich für die Verwaltung großer Eigenschaftssätze, die nicht mehr benötigt werden oder ausgeblendet werden sollen. Dazu müssen die App-ID und der Objekttyp in den Pfadparametern angegeben werden.
Supported products
Supported products
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Die eindeutige ID der App, für die die Eigenschaften archiviert werden. Dies ist ein erforderlicher Pfadparameter.
Der Objekttyp, dessen Eigenschaften archiviert werden sollen. Dies ist ein erforderlicher Pfadparameter.
Body
Ein Array von Eigenschaftsnamen, die im Batch-Vorgang verarbeitet werden sollen. Jedes Element im Array sollte eine Zeichenfolge sein, die einen Eigenschaftsnamen darstellt.
Show child attributes
Show child attributes